Package gcc4.8

Source package: gcc4.8
Version: 4.8.2-alt4.M70C.2
Build time:  Apr 24, 2019, 06:05 PM
 in the task #218597
Category: Development/C
Report package bug
License:  GPLv3+, GPLv3+ with exceptions and GPLv2+ with exceptions
Summary:  GNU Compiler Collection
Description: 
This package contains the GNU Compiler Collection version 4.8.2.
You'll need this package in order to compile C code.
It is also required for all other GCC compilers.

If you have multiple versions of the GNU Compiler Collection
installed on your system, you may want to execute
gcc-4.8
in order to explicitly use the GNU C compiler version 4.8.2.
List of rpms provided by this srpm: 
custom-cpp4.8 (x86_64, i586)
custom-cpp4.8-debuginfo (x86_64, i586)
custom-gcc4.8 (x86_64, i586)
custom-gcc4.8-c++ (x86_64, i586)
custom-gcc4.8-c++-debuginfo (x86_64, i586)
custom-gcc4.8-debuginfo (x86_64, i586)
custom-gcc4.8-doc (noarch)
custom-gcc4.8-locales (noarch)
custom-gcc4.8-objc (x86_64, i586)
custom-gcc4.8-objc++ (x86_64, i586)
custom-gcc4.8-objc++-debuginfo (x86_64, i586)
custom-gcc4.8-objc-debuginfo (x86_64, i586)
custom-gcc4.8-plugin-devel (x86_64, i586)
custom-libasan0 (x86_64, i586)
custom-libasan0-debuginfo (x86_64, i586)
custom-libasan4.8-devel-static (x86_64, i586)
custom-libatomic4.8-devel-static (x86_64, i586)
custom-libgomp4.8-devel (x86_64, i586)
custom-libgomp4.8-devel-static (x86_64, i586)
custom-libitm4.8-devel-static (x86_64, i586)
custom-libmudflap0 (x86_64, i586)
custom-libmudflap0-debuginfo (x86_64, i586)
custom-libmudflap4.8-devel (x86_64, i586)
custom-libmudflap4.8-devel-static (x86_64, i586)
custom-libobjc4.8-devel (x86_64, i586)
custom-libobjc4.8-devel-static (x86_64, i586)
custom-libquadmath4.8-devel (x86_64, i586)
custom-libquadmath4.8-devel-static (x86_64, i586)
custom-libstdc++4.8-devel (x86_64, i586)
custom-libstdc++4.8-devel-static (x86_64, i586)
custom-libtsan4.8-devel-static (x86_64)
Last changes:
Nov. 6, 2018 Alexey Appolonov 4.8.2-alt4.M70C.2
- Libraries of all versions of the custom-gcc can be found in the same place;
- Enabled compatibility mode - libstdc++, libatomic1, libgcc1, libgomp1,
  libitm1, libobjc4, libtsan0 and libquadmath0 are not included
  as they come with gcc5;
- Detection of 'provides' for the custom libraries.
Feb. 2, 2018 Alexey Appolonov 4.8.2-alt4.M70C.1
- C7 custom port:
  + No Ada, no Fortran, no Java, no Go;
  + Libraries and most executables can be found only by
    absolute paths which include GCC version;
  + custom-libstdc++6 and custom-libgcc1 must not be used in runtime
    (maintainers should set RPATH to use them in exceptional cases).
Feb. 1, 2016 Gleb Fotengauer-Malinovskiy 4.8.2-alt5
- Changed compress_method to xz.

Back to Top